Skip to content

Update blog post

PATCH
/api/v1/content/blog-posts/{post_id}
curl --request PATCH \
--url https://api.ultimateteam.ai/api/v1/content/blog-posts/example \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <X-API-Key>' \
--data '{ "category": "example", "content": "example", "description": "example", "seo_keywords": [ "example" ], "seo_meta_description": "example", "status": "example", "tags": [ "example" ], "title": "example" }'

Update a blog post.

post_id
required
Post Id
string
Media typeapplication/json
BlogPostUpdate

Request body for updating a blog post.

object
category
Any of:
string
content
Any of:
string
description
Any of:
string
seo_keywords
Any of:
Array<string>
seo_meta_description
Any of:
string
status
Any of:
string
tags
Any of:
Array<string>
title
Any of:
string
<= 255 characters
Examplegenerated
{
"category": "example",
"content": "example",
"description": "example",
"seo_keywords": [
"example"
],
"seo_meta_description": "example",
"status": "example",
"tags": [
"example"
],
"title": "example"
}

Successful Response

Media typeapplication/json
BlogPostResponse

Response body for a single blog post.

object
ai_disclosure_included
Ai Disclosure Included
boolean
default: true
author
Author
string
default: UltimateTeam CMO
category
required
Category
string
content
required
Content
string
created_at
required
Created At
string format: date-time
description
required
Description
string
id
required
Id
string
performance_metrics
Performance Metrics
object
key
additional properties
any
published_at
Any of:
string format: date-time
quality_gate_score
Any of:
number
reading_time_minutes
Reading Time Minutes
integer
0
seo_keywords
Seo Keywords
Array
seo_meta_description
Seo Meta Description
string
""
slug
required
Slug
string
status
required
Status
string
tags
Tags
Array
tenant_id
required
Tenant Id
string
title
required
Title
string
updated_at
required
Updated At
string format: date-time
word_count
Word Count
integer
0
Example
{
"ai_disclosure_included": true,
"author": "UltimateTeam CMO",
"reading_time_minutes": 0,
"seo_meta_description": "",
"word_count": 0
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}